Subject: [Terminology] Update to TERM charter text

From: Lars Eggert <[email-masked]>
Date: Mon, 12 Apr 2021 10:31:57 +0300

Hi,

following the community discussion during the IETF Last Call and in response to the IESG ballot comments, I've submitted an updated charter text proposal for TERM: https://datatracker.ietf.org/doc/charter-ietf-term/00-04/

A diff to the previous version is here: https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-03.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt

Thanks,
Lars

---

From: Lars Eggert <[email-masked]>
Date: Tue, 13 Apr 2021 09:46:43 +0300

Hi,

there is now an -05 version that rolls in some additional feedback received yesterday: https://datatracker.ietf.org/doc/charter-ietf-term/00-05/

Diff at https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt

Thanks,
Lars

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 13 Apr 2021 11:41:07 +0200

Dear IESG,

I am dismayed by the discussion in the IESG on the charter and the revisions that are proposed. The charter that was proposed was the product of long and complex discussions in GENDISPATCH. The review in the IESG is now rehashing those debates but changing the outcome. The changes in the charter are thus subvert the consensus that was carefully built. The proposed changes therefore undermine and jeopardize the work that the proposed WG could produce. 

Best,

Niels

-- 
Niels ten Oever, PhD
Postdoctoral Researcher - Media Studies Department - University of Amsterdam
Research Fellow - Centre for Internet and Human Rights - European University Viadrina
Associated Scholar - Centro de Tecnologia e Sociedade - Fundação Getúlio Vargas

https://nielstenoever.net - [email-masked] - @nielstenoever - +31629051853
PGP: 2458 0B70 5C4A FD8A 9488 643A 0ED8 3F3A 468A C8B3

Read my latest article on Internet infrastructure governance in New Media & Society here: https://journals.sagepub.com/doi/full/10.1177/1461444820929320

---

From: Lloyd W <[email-masked]>
Date: Tue, 13 Apr 2021 20:12:43 +1000

> On 13 Apr 2021, at 19:41, Niels ten Oever <[email-masked]> wrote:
> 
> Dear IESG,
> 

hi Niels,

that quiet noise that you hadn't paid attention to, but might just be hearing now?

I do believe that it's the sound of the polis.

best,

Lloyd Wood 
[email-masked]

polis. broadly  : a state or society especially when characterized by a sense of community - Merriam-Webster

> Terminology mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/terminology

---

From: "Bron Gondwana" <[email-masked]>
Date: Tue, 13 Apr 2021 20:22:37 +1000

Unfortunately, this "problem" is not restricted to GENDISPATCH.  I haven't even been in the IETF that long but I've seen multiple documents - drafts, charters, etc, be exposed to larger review and have the carefully crafted work of a working group be re-considered when it's exposed to a wider review.

Indeed, this is precisely the function of an IETF last-call - otherwise why do we bother sending work to the IESG for review?  We could just deliver every piece of careful "working group last call"ed document directly to the RFC editor with no cross-sectional review.

Of course, the flip side is that as a participant in the process, you can ask for the work to be brought back to GENDISPATCH to see whether there's consensus for the new document or not.  Or you could just object to charter in its current form I guess, I'm not sure how that works at IETF last-call stage.  One thing is for sure, the IETF processes aren't good at enforcing that the IETF goes ahead with the exact consensus product of a single working group, unchanged by wider review.

Regards,

Bron.

On Tue, Apr 13, 2021, at 19:41, Niels ten Oever wrote:
> https://nielstenoever.net - [email-masked] <mailto:mail%40nielstenoever.net> - @nielstenoever - +31629051853
> [email-masked] <mailto:Terminology%40ietf.org>

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 13 Apr 2021 12:39:15 +0200

> Of course, the flip side is that as a participant in the process, you can ask for the work to be brought back to GENDISPATCH to see whether there's consensus for the new document or not.  Or you co…

In my experience, IESG review brings up comments that are for the authors to fix, instead of IESG fixing them for you. 

Best,

Niels

>> > there is now an -05 version that rolls in some additional feedback received yesterday: https://datatracker.ietf.org/doc/charter-ietf-term/00-05/ <https://datatracker.ietf.org/doc/charter-ietf-term/00-05/>
>> > 
>> > Diff at https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt <https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt>
>> > 
>> > Thanks,
>> > Lars
>> > 
>> > 
>> > 
>>
>> -- 
>> Niels ten Oever, PhD
>> https://nielstenoever.net <https://nielstenoever.net> - [email-masked] <mailto:mail%40nielstenoever.net> - @nielstenoever - +31629051853
>> Read my latest article on Internet infrastructure governance in New Media & Society here: https://journals.sagepub.com/doi/full/10.1177/1461444820929320 <https://journals.sagepub.com/doi/full/10.1177/1461444820929320>
>>
>> -- 
>> Terminology mailing list
>> https://www.ietf.org/mailman/listinfo/terminology <https://www.ietf.org/mailman/listinfo/terminology>
>>
> 
> --

---

From: Brian Carpenter <[email-masked]>
Date: Tue, 13 Apr 2021 22:48:23 +1200

Niels,

I don't understand your concern. The IETF process doesn't treat charters
the same as drafts. It's the IESG's job to approve charters, because until
there is a charter, there is no WG and no WG Chair. And it's the whole
IETF's input that counts, not just the people who happened to propose the
charter.

Regards
  Brian

On Tue, 13 Apr 2021, 22:39 Niels ten Oever, <[email-masked]>
wrote:

> > Unfortunately, this "problem" is not restricted to GENDISPATCH.  I
> haven't even been in the IETF that long but I've seen multiple documents -
> drafts, charters, etc, be exposed to larger review and have the carefully
> crafted work of a working group be re-considered when it's exposed to a
> wider review.
> >
> > Indeed, this is precisely the function of an IETF last-call - otherwise
> why do we bother sending work to the IESG for review?  We could just
> deliver every piece of careful "working group last call"ed document
> directly to the RFC editor with no cross-sectional review.
> >
> > Of course, the flip side is that as a participant in the process, you
> can ask for the work to be brought back to GENDISPATCH to see whether
> there's consensus for the new document or not.  Or you could just object to
> charter in its current form I guess, I'm not sure how that works at IETF
> last-call stage.  One thing is for sure, the IETF processes aren't good at
> enforcing that the IETF goes ahead with the exact consensus product of a
> single working group, unchanged by wider review.
>
> In my experience, IESG review brings up comments that are for the authors
> to fix, instead of IESG fixing them for you.
>
> Best,
>
> Niels
>
> >
> > Regards,
> >
> > Bron.
> >
> >> I am dismayed by the discussion in the IESG on the charter and the
> revisions that are proposed. The charter that was proposed was the product
> of long and complex discussions in GENDISPATCH. The review in the IESG is
> now rehashing those debates but changing the outcome. The changes in the
> charter are thus subvert the consensus that was carefully built. The
> proposed changes therefore undermine and jeopardize the work that the
> proposed WG could produce.
> >>
> >> Best,
> >>
> >> Niels
> >>
> >>
> >> > there is now an -05 version that rolls in some additional feedback
> received yesterday:
> https://datatracker.ietf.org/doc/charter-ietf-term/00-05/ <
> https://datatracker.ietf.org/doc/charter-ietf-term/00-05/>
> >> >
> >> > Diff at
> https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt
> <
> https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt
> >
> >> >
> >> > Thanks,
> >> > Lars
> >> >
> >> >
> >> >
> >>
> >> --
> >> Niels ten Oever, PhD
> >> https://nielstenoever.net <https://nielstenoever.net> -
> [email-masked] <mailto:mail%40nielstenoever.net> - @nielstenoever
> - +31629051853
> >> Read my latest article on Internet infrastructure governance in New
> Media & Society here:
> https://journals.sagepub.com/doi/full/10.1177/1461444820929320 <
> https://journals.sagepub.com/doi/full/10.1177/1461444820929320>
> >>
> >> --
> >> Terminology mailing list
> >> https://www.ietf.org/mailman/listinfo/terminology <
> https://www.ietf.org/mailman/listinfo/terminology>
> >>
> >
> > --
> Read my latest article on Internet infrastructure governance in New Media
> & Society here:
> https://journals.sagepub.com/doi/full/10.1177/1461444820929320
>
> --
> Terminology mailing list
> [email-masked]

---

From: Lars Eggert <[email-masked]>
Date: Tue, 13 Apr 2021 13:51:04 +0300

Hi,

> In my experience, IESG review brings up comments that are for the authors to fix, instead of IESG fixing them for you.

when it comes to documents, yes. But not usually when it comes to charter text. Since it's the responsible ADs who are in charge of scoping the work in their area, it is usually them that edit charter text, especially if the chartering is somewhat contentious.

Thanks,
Lars

---

From: Lloyd W <[email-masked]>
Date: Tue, 13 Apr 2021 20:54:45 +1000

Niels

this charter isn't the product of a working group.
this charter produces a working group. different thing.

see RFC2418 section 2.2. The IESG has final approval.

if you're interested in governance, you may wish to read it.

Lloyd Wood
[email-masked]

> On 13 Apr 2021, at 20:39, Niels ten Oever <[email-masked]> wrote:
> 
>

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 13 Apr 2021 09:40:36 -0400

Hi all,

Remembering that once this WG is chartered it's supposed to draft a 
document. So, aren't we making it much harder for ourselves by creating 
this abstraction layer that first needs IESG+community approval of a 
charter, and then also production of a document that will need 
WG+AD+IESG+Community approval? A document just needs GA/AD+Community 
approval once.

-Mallory

On 4/13/21 6:48 AM, Brian Carpenter wrote:
> Niels,
>
> I don't understand your concern. The IETF process doesn't treat 
> charters the same as drafts. It's the IESG's job to approve charters, 
> because until there is a charter, there is no WG and no WG Chair. And 
> it's the whole IETF's input that counts, not just the people who 
> happened to propose the charter.
>
> Regards
>   Brian
>
> On Tue, 13 Apr 2021, 22:39 Niels ten Oever, 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>
>     > Unfortunately, this "problem" is not restricted to
>     GENDISPATCH.  I haven't even been in the IETF that long but I've
>     seen multiple documents - drafts, charters, etc, be exposed to
>     larger review and have the carefully crafted work of a working
>     group be re-considered when it's exposed to a wider review.
>     >
>     > Indeed, this is precisely the function of an IETF last-call -
>     otherwise why do we bother sending work to the IESG for review? 
>     We could just deliver every piece of careful "working group last
>     call"ed document directly to the RFC editor with no
>     cross-sectional review.
>     >
>     > Of course, the flip side is that as a participant in the
>     process, you can ask for the work to be brought back to
>     GENDISPATCH to see whether there's consensus for the new document
>     or not.  Or you could just object to charter in its current form
>     I guess, I'm not sure how that works at IETF last-call stage. 
>     One thing is for sure, the IETF processes aren't good at enforcing
>     that the IETF goes ahead with the exact consensus product of a
>     In my experience, IESG review brings up comments that are for the
>     authors to fix, instead of IESG fixing them for you.
>
>     Best,
>
>     Niels
>
>     >
>     > Regards,
>     >
>     > Bron.
>     >
>     >> I am dismayed by the discussion in the IESG on the charter and
>     the revisions that are proposed. The charter that was proposed was
>     the product of long and complex discussions in GENDISPATCH. The
>     review in the IESG is now rehashing those debates but changing the
>     outcome. The changes in the charter are thus subvert the consensus
>     that was carefully built. The proposed changes therefore undermine
>     and jeopardize the work that the proposed WG could produce.�
>     >>
>     >> Best,
>     >>
>     >> Niels
>     >>
>     >>
>     >> >�
>     >> > there is now an -05 version that rolls in some additional
>     feedback received yesterday:�
>     https://datatracker.ietf.org/doc/charter-ietf-term/00-05/
>     <https://datatracker.ietf.org/doc/charter-ietf-term/00-05/>
>     <https://datatracker.ietf.org/doc/charter-ietf-term/00-05/
>     <https://datatracker.ietf.org/doc/charter-ietf-term/00-05/>>
>     >> >�
>     >> > Diff at�
>     <https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt>
>     <https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt
>     <https://www.ietf.org/rfcdiff?url1=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%2Fwithmilestones-00-05.txt>>
>     >> >�
>     >> > Thanks,
>     >> > Lars
>     >> >�
>     >> >�
>     >> >�
>     >>
>     >> --�
>     >> Niels ten Oever, PhD
>     >> https://nielstenoever.net <https://nielstenoever.net>
>     <https://nielstenoever.net <https://nielstenoever.net>> -�
>     [email-masked] <mailto:[email-masked]>
>     <mailto:mail%40nielstenoever.net
>     <mailto:mail%2540nielstenoever.net>> - @nielstenoever - +31629051853
>     >> Read my latest article on Internet infrastructure governance in
>     New Media & Society here:�
>     <https://journals.sagepub.com/doi/full/10.1177/1461444820929320>
>     <https://journals.sagepub.com/doi/full/10.1177/1461444820929320
>     <https://journals.sagepub.com/doi/full/10.1177/1461444820929320>>
>     >>
>     >> --�
>     >> Terminology mailing list
>     >> [email-masked] <mailto:[email-masked]>
>     <mailto:Terminology%40ietf.org <mailto:Terminology%2540ietf.org>>
>     <https://www.ietf.org/mailman/listinfo/terminology>
>     <https://www.ietf.org/mailman/listinfo/terminology
>     <https://www.ietf.org/mailman/listinfo/terminology>>
>     >>
>     >
>     > --
>     > � [email-masked] <mailto:[email-masked]>
>     >
>     >
>     >
>
>     -- 
>     Niels ten Oever, PhD
>     [email-masked] <mailto:[email-masked]> -
>     @nielstenoever - +31629051853
>     Read my latest article on Internet infrastructure governance in
>     New Media & Society here:
>     <https://journals.sagepub.com/doi/full/10.1177/1461444820929320>
>
>     -- 
>     Terminology mailing list
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/terminology>
>
>
-- 
Mallory Knodel
CTO, Center for Democracy and Technology
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 13 Apr 2021 15:47:01 +0200

> when it comes to documents, yes. But not usually when it comes to charter text. Since it's the responsible ADs who are in charge of scoping the work in their area, it is usually them that edit char…

Which is fine - but I wanted to indicate that changing the charter now and in this manner (in a particular direction that was extensively discussed earlier in the process), will probably make the reaching of consensus on a document to be produced by this WG much harder.

Best,

Niels

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 13 Apr 2021 15:49:16 +0200

> this charter isn't the product of a working group.

I must have hallucinated this thread then:

https://mailarchive.ietf.org/arch/browse/gendispatch/?gbt=1&index=Zm8vtslsgMO-PbIEujvtZodVJBg

Best,

Niels

---

From: Lars Eggert <[email-masked]>
Date: Tue, 13 Apr 2021 16:56:26 +0300

Hi,

> Which is fine - but I wanted to indicate that changing the charter now and in this manner (in a particular direction that was extensively discussed earlier in the process), will probably make the r…

that's a valid concern. But I want to stress that we're not doing anything out of the ordinary here. The charter has been discussed in gendispatch, and consensus for a way forward was established in gendispatch, i.e., that a WG should be formed on the basis of the charter text that was discussed there.

The next step in the formation of a WG is usually a BOF, followed by IESG (internal) and then IETF (external) review of the charter. Since we had a BOF-like discussion in gendispatch, we skipped the BOF and went straight to internal and most recently external review.

Often, no significant comments are received and a WG is chartered with only minor tweaks to the charter proposal that was sent out for review. In this case, the IESG received quite a bit of very polarized comments, and as the responsible AD for the area I am attempting to reflect those pieces of feedback in the charter update for which I see some level of consensus. I'm doing this in the hopes that this will make the overall charter gain rough consensus when it goes out again for external review.

I'm hoping this explains the process a bit more.

Thanks,
Lars

---

From: "Bron Gondwana" <[email-masked]>
Date: Tue, 13 Apr 2021 23:57:04 +1000

> https://mailarchive.ietf.org/arch/browse/gendispatch/?gbt=1&index=Zm8vtslsgMO-PbIEujvtZodVJBg

That's not normative though.

A dispatch group doesn't charter working groups itself.  One possible dispatch outcome is to ask its area director, to ask the IESG, to charter a working group - and it may suggest a charter as part of that.  It doesn't get to dictate the exact charter text.

Bron.

---

From: Lloyd W <[email-masked]>
Date: Wed, 14 Apr 2021 00:03:05 +1000

rfc5727: 

Once a new effort has been defined in DISPATCH and there is working group consensus that it should go forward, if the new effort will take the form of a working group or BoF, then the ADs will present the proposed new effort charter to the IESG and IAB, in accordance with the usual chartering process

A DISPATCH group does not get to have final say on a WG charter; the charter is produced by the chartering process.

Lloyd Wood
[email-masked]

> On 13 Apr 2021, at 23:49, Niels ten Oever <[email-masked]> wrote:
>

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 13 Apr 2021 16:16:39 +0200

> A DISPATCH group does not get to have final say on a WG charter; the charter is produced by the chartering process.

Sure - I never said any other thing. I was just surprised you wrote that the charter was not produced in a WG.

Best,

Niels

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 13 Apr 2021 16:21:42 +0200

> Often, no significant comments are received and a WG is chartered with only minor tweaks to the charter proposal that was sent out for review. In this case, the IESG received quite a bit of very po…

That's nice - I had not realized the charter will go out for external review again. Thanks a lot for that clarification!

> I'm hoping this explains the process a bit more.

It indeed does, thanks a lot!

Best,

Niels

---

From: Lloyd W <[email-masked]>
Date: Wed, 14 Apr 2021 00:28:55 +1000

A DISPATCH group isn't really a  traditional WG. Easier to think of it as not a WG. (but, as has been explained, even the output of a WG can be modified by last call etc.)

A DISPATCH group produces a suggestion, not a charter.

Lloyd Wood
[email-masked]

there is a minefield, filled with mines for the unwary to stumble into...

> On 14 Apr 2021, at 00:16, Niels ten Oever <[email-masked]> wrote:
>

---

From: Jari Arkko <[email-masked]>
Date: Tue, 13 Apr 2021 18:39:37 +0300

Thanks for the explanation of the process, Lars. I agree that this is the right way forward, and happy to see the second review. This is by the way indeed the usual process. Proposals get reviewed firstly by some set of people and that set expands later, and in the end IETF consensus is what matters.

Lars has the difficult task of trying to see if he can find a charter that is acceptable to a broad set of IETF participants, under somewhat polarised feedback :-) FWIW, I think that it is possible, and involves more WG driven decisions and just guidance from the new working group. Of course, in the process it may be that not all of us get what we would optimally want, if we didn’t have to find that common consensus.

Jari

---

From: Pete Resnick <[email-masked]>
Date: Tue, 13 Apr 2021 16:58:25 -0500

On 13 Apr 2021, at 8:40, Mallory Knodel wrote:

> document. So, aren't we making it much harder for ourselves by 
> creating this abstraction layer that first needs IESG+community 
> approval of a charter, and then also production of a document that 
> will need WG+AD+IESG+Community approval? A document just needs 
> GA/AD+Community approval once.

First of all, a charter does not require community approval. Of course 
the IESG would be ill-advised to not take the opinions of the community 
into account (which is what is being done here), but as far as RFC 2418 
is concerned, approval of a charter is entirely an IESG decision, with 
advice from the IAB.

Second, contrary to Niels contention, the charter was not a product of 
the GENDISPATCH WG. While a charter proposal was discussed on that WG's 
list, there was no consensus call at the end of that discussion and the 
WG did not formally agree to its contents; Sean posted a proposed 
charter, that was discussed on the list, and changes were made before 
Sean brought the proposed charter to the AD.

Finally, what you describe in the last sentence is the process for an 
AD-sponsored individual submission (except that you left out that the 
IESG is also included in the approval of that). GENDISPATCH explicitly 
rejected the idea of an AD-sponsored individual submission and instead 
recommended (and Lars moved forward with) a WG, not an individual 
submission. That's presumably because GENDISPATCH (and subsequently 
Lars) thought that creating this document would first take the work of 
an interested subset of IETF participants before the AD, the IESG, and 
Community would have something manageable to approve; otherwise, you're 
effectively having the entire IETF work on the document, which is only 
reasonable if the document is quite simple and/or non-controversial. 
Having decided that a WG is needed, the WG needs ground rules for 
accomplishing its work, which is the charter. A charter doesn't decide 
what goes in a document; it simply (among other things) constrains the 
kinds of things that can go in a document. There is no additional or 
"harder" work for the document; indeed, the charter is meant to keep the 
WG participants from going down certain ratholes that might be discussed 
were it not for the fact that they are out of scope in the charter.

pr

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 14 Apr 2021 10:00:20 +1200

Mallory,

Nobody is creating a new layer. We're just running the IETF process as we've run it for three decades.

Regards
   Brian Carpenter

On 14-Apr-21 01:40, Mallory Knodel wrote:
> Hi all,
> 
> Remembering that once this WG is chartered it's supposed to draft a document. So, aren't we making it much harder for ourselves by creating this abstraction layer that first needs IESG+community approval of a charter, and then also production of a document that will need WG+AD+IESG+Community approval? A document just needs GA/AD+Community approval once.
> 
> -Mallory
> 
>> I don't understand your concern. The IETF process doesn't treat charters the same as drafts. It's the IESG's job to approve charters, because until there is a charter, there is no WG and no WG Chair. And it's the whole IETF's input that counts, not just the people who happened to propose the charter.
>>
>> Regards
>>   Brian
>>
>> On Tue, 13 Apr 2021, 22:39 Niels ten Oever, <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>
>>     >> https://nielstenoever.net <https://nielstenoever.net> - [email-masked] <mailto:[email-masked]> <mailto:mail%40nielstenoever.net <mailto:mail%2540nielstenoever.net>> - @nielstenoever - +31629051853
>>     >> [email-masked] <mailto:[email-masked]> <mailto:Terminology%40ietf.org <mailto:Terminology%2540ietf.org>>
>>     >   [email-masked] <mailto:[email-masked]>
>>     >
>>     >
>>     >
>>
>>     -- 
>>     Niels ten Oever, PhD
>>     https://nielstenoever.net - [email-masked] <mailto:[email-masked]> - @nielstenoever - +31629051853

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 14 Apr 2021 10:08:03 +1200

> Of course, the flip side is that as a participant in the process, you can ask for the work to be brought back to GENDISPATCH to see whether there's consensus for the new document or not.  Or you co…

They are in fact very bad at that, because this is the whole point of IETF-wide review of both documents and charters: to prevent echo-chamber effects, confirmation bias and in-group/out-group thinking as much as possible.

That's why the debate belongs on [email-masked], not here.

Regards
   Brian

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 13 Apr 2021 19:09:29 -0400

Hi,

> we've run it for three decades.
I am not questioning process or the process fairness or whether or not
anyone else is following process. I do, however, appreciate being corrected.

I am offering my view that there appears to be a choice in processes and we
may have chosen badly if I do a quick calculation:

Current process: IESG+community approval of a WG charter + production of a
document + WG+AD+IESG+Community approval.

That’s three milestones and several rounds of approvals (6?).

IS: production of a document + GA/AD sponsorship + IESG+Community approval.

That’s three milestones and 3? approvals.

IS just seems more lightweight, and ideally the AD and willing members of
the IESG could work on production, cutting down more hurdles.

Now I think IS isn’t ideal if it wouldn’t represent community consensus.
(I’ve heard others say this but surviving last call would mean consensus,
would it not?)  But since the IESG approves it, this is rather more
satisfying ime due to DEI initiatives needing some healthy degree of
leadership in order to break reactionary impasses, sometimes, as a peril of
majority rules communities.

Please be patient if I’ve gotten something wrong. I’m merely trying to
explain my prior messages and my intention more clearly.

-M

> because until there is a charter, there is no WG and no WG Chair. And it's
> the whole IETF's input that counts, not just the people who happened to
> propose the charter.
> >>
> >> Regards
> >>   Brian
> >>
> >> On Tue, 13 Apr 2021, 22:39 Niels ten Oever, <
> [email-masked] <mailto:[email-masked]>> wrote:
> >>
> >>
> >>     > Unfortunately, this "problem" is not restricted to GENDISPATCH.
> I haven't even been in the IETF that long but I've seen multiple documents
> - drafts, charters, etc, be exposed to larger review and have the carefully
> otherwise why do we bother sending work to the IESG for review?  We could
> just deliver every piece of careful "working group last call"ed document
> >>     > Of course, the flip side is that as a participant in the process,
> you can ask for the work to be brought back to GENDISPATCH to see whether
> the revisions that are proposed. The charter that was proposed was the
> product of long and complex discussions in GENDISPATCH. The review in the
> IESG is now rehashing those debates but changing the outcome. The changes
> in the charter are thus subvert the consensus that was carefully built. The
> feedback received yesterday: https://datatracker.ietf.org/doc/
> charter-ietf-term/00-05/ <https://datatracker.ietf.org/
> doc/charter-ietf-term/00-05/>
> >>     >> >
> >>     >> > Diff at https://www.ietf.org/rfcdiff?url1=https%3A%2F%
> 2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%
> 2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%
> 2Fcharter-ietf-term%2Fwithmilestones-00-05.txt <
> https://www.ietf.org/rfcdiff?url1=https%3A%2F%
> 2Fdatatracker.ietf.org%2Fdoc%2Fcharter-ietf-term%
> 2Fwithmilestones-00-04.txt&url2=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%
> 2Fcharter-ietf-term%2Fwithmilestones-00-05.txt>
> >>     >> >
> >>     >> > Thanks,
> >>     >> > Lars
> >>     >> >
> >>     >> >
> >>     >> >
> >>     >>
> >>     >> --
> >>     >> Niels ten Oever, PhD
> [email-masked] <mailto:[email-masked]> <mailto:
> mail%40nielstenoever.net <mailto:mail%2540nielstenoever.net>> -
> New Media & Society here: https://journals.sagepub.com/doi/full/10.1177/
> 1461444820929320 <https://journals.sagepub.com/doi/full/10.1177/
> 1461444820929320>
> >>     >>
> >>     >> --
> >>     >> Terminology mailing list
> >>     >> [email-masked] <mailto:[email-masked]> <mailto:
> Terminology%40ietf.org <mailto:Terminology%2540ietf.org>>
> >>     https://nielstenoever.net - [email-masked] <mailto:
> [email-masked]> - @nielstenoever - +31629051853
> Media & Society here: https://journals.sagepub.com/doi/full/10.1177/
> 1461444820929320
> >>
> >>     --
> >>     Terminology mailing list

---

From: Lloyd W <[email-masked]>
Date: Wed, 14 Apr 2021 09:51:29 +1000

"since the IESG approves it" isn't how this works.

see
https://www.rfc-editor.org/about/independent/

Lloyd Wood
[email-masked]

> On 14 Apr 2021, at 09:09, Mallory Knodel <[email-masked]> wrote:
> 
> Hi,
> 
>> On Tuesday, April 13, 2021, Brian E Carpenter <[email-masked]> wrote:
>> Mallory,
>> 
> I am not questioning process or the process fairness or whether or not anyone else is following process. I do, however, appreciate being corrected.
> 
> I am offering my view that there appears to be a choice in processes and we may have chosen badly if I do a quick calculation:
> 
> Current process: IESG+community approval of a WG charter + production of a document + WG+AD+IESG+Community approval.
> 
> IS just seems more lightweight, and ideally the AD and willing members of the IESG could work on production, cutting down more hurdles.
> 
> Now I think IS isn’t ideal if it wouldn’t represent community consensus. (I’ve heard others say this but surviving last call would mean consensus, would it not?)  But since the IESG approves it, this is rather more satisfying ime due to DEI initiatives needing some healthy degree of leadership in order to break reactionary impasses, sometimes, as a peril of majority rules communities.
> 
> Please be patient if I’ve gotten something wrong. I’m merely trying to explain my prior messages and my intention more clearly.
> 
> -M
> 
>  
>>

---

From: S Moonesamy <[email-masked]>
Date: Tue, 13 Apr 2021 17:26:08 -0700

Hi Mallory,
At 04:09 PM 13-04-2021, Mallory Knodel wrote:
>I am offering my view that there appears to be a choice in processes 
>and we may have chosen badly if I do a quick calculation:
>
>Current process: IESG+community approval of a WG charter + 
>production of a document + WG+AD+IESG+Community approval.
>
>That's three milestones and several rounds of approvals (6?).
>
>That's three milestones and 3? approvals.
>
>IS just seems more lightweight, and ideally the AD and willing 
>members of the IESG could work on production, cutting down more hurdles.
>
>Now I think IS isn't ideal if it wouldn't represent community 
>consensus. (I've heard others say this but surviving last call would 
>mean consensus, would it not?)  But since the IESG approves it, this 
>is rather more satisfying ime due to DEI initiatives needing some 
>healthy degree of leadership in order to break reactionary impasses, 
>sometimes, as a peril of majority rules communities.

Individual Submission is the (relatively) quicker path for 
publication.  The draft would have to go through an IETF-wide Last 
Call and attain rough consensus.

The chartering does not require IETF consensus.

Regards,
S. Moonesamy

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 13 Apr 2021 21:02:07 -0400

Ok,

Revising based on things I got wrong:

AD sponsored: production of a document + GA/AD sponsorship + IESG+Community
approval.

More:

On Tuesday, April 13, 2021, S Moonesamy <[email-masked]> wrote:

>> <snip>

>
> Individual Submission is the (relatively) quicker path for publication.
> The draft would have to go through an IETF-wide Last Call and attain rough
> consensus.
>
I believe I meant AD sponsored, which is why I then included IESG approval
based on Pete’s comment.

In any case, there is a document at the end that hits last call. In the
first scenario, a WG needs to be chartered, which is one more step and
introduces significantly more rounds of approvals than the second scenario.

I get that friction can be useful and I am not complaining about any
processes. Also, again, I am not proposing the processes be changed or
exceptions made.

What I mean: From a strategic standpoint of what we want to achieve, with
one of those goals explicitly being community consensus, I still think the
second process works and achieves those goals with less work and less time.

But I think I’ve expressed it all now, and feel understood, so thanks,

-Mallory

---

From: Pete Resnick <[email-masked]>
Date: Tue, 13 Apr 2021 22:33:33 -0500

> https://www.rfc-editor.org/about/independent/

No, she's not suggesting an Independent Submission directly to the RFC 
Editor; she's suggesting an AD-sponsored individual submission IETF 
consensus document.

https://www.ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/
https://www.rfc-editor.org/rfc/rfc8789.html

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Pete Resnick <[email-masked]>
Date: Tue, 13 Apr 2021 23:15:15 -0500

On 13 Apr 2021, at 18:09, Mallory Knodel wrote:

> Current process: IESG+community approval of a WG charter + production 
> of a document + WG+AD+IESG+Community approval.
>

Close enough. No community approval of the WG charter is needed, and 
community approval of the document (i.e., Last Call and coming to 
consensus) comes before IESG approval.

> That’s three milestones and 3? approvals.

Again, pretty close. The AD still has to approve the document. And 
remember that community approval (i.e., Last Call and coming to 
consensus) is normally twice as long for AD-sponsored as it is for WG 
documents.

In effect, everything after the document is produced and approved by 
whoever wrote it (WG or individual) is the same, as documented here:

https://datatracker.ietf.org/help/state/draft/iesg

With the exception of the Last Call period being different. For any WG 
document, you're adding on the chartering requirements and the WG coming 
to consensus ("approving") of the document.

> IS just seems more lightweight, and ideally the AD and willing members 
> of the IESG could work on production, cutting down more hurdles.

AD-sponsored documents (best not to use "IS" to distinguish them from 
Independent Series documents directly to the RFC Editor) can be more 
lightweight, but as I said earlier, only if the document is simple 
and/or non-controversial. If it is complex and/or controversial, then 
you're simply folding the work that would have happened during the "WG 
coming to consensus" step into the "community approval" step. That ends 
you up with an unbounded (or only ad-hoc bounded) IETF-wide discussion 
of all of the controversial or complicated issues on the IETF list, 
moderated by the sponsoring AD, which tends to be far less efficient 
than having a WG sort those issues as best it can before then bringing 
it to the IETF list.

> Now I think IS isn’t ideal if it wouldn’t represent community 
> consensus. (I’ve heard others say this but surviving last call would 
> mean consensus, would it not?)

I think people were confusing them with the Independent Series 
documents, which are not community consensus documents.

> But since the IESG approves it, this is rather more satisfying ime due 
> to DEI initiatives needing some healthy degree of leadership in order 
> to break reactionary impasses, sometimes, as a peril of majority rules 
> communities.

First, a good WG chair is in a much better position to facilitate 
breaking impasses than an AD on the main IETF list. Second, IMO rough 
consensus is not majority rules. (See RFC 7282.)

I think on a controversial topic, a WG producing a document is actually 
more efficient and more likely to get the rough consensus of the 
community than an AD-sponsored document brought immediately to Last 
Call.

pr

---

From: Lars Eggert <[email-masked]>
Date: Wed, 14 Apr 2021 09:47:11 +0300

Hi,

Pete summarizes the considerations and trade-offs for AD-sponsored document publication quite well; thanks for that.

I'd also point out this IESG statement, which has more information on the AD-sponsored process and their trade-offs: https://www.ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/

Thanks,
Lars